### Method

# Gck Session set_interaction

#### Declaration [src]

    void
    gck_session_set_interaction (
      GckSession* self,
      GTlsInteraction* interaction
    )

#### Description [src]

Set the interaction object on this session, which is used to prompt for pins and the like.

Sets property | `Gck.Session:interaction`

#### Parameters

`interaction`

  Type: `GTlsInteraction`

  The interaction or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.